# Trigger

List all trigger endpoint

## GET /v3/trigger/{triggerId}

> Get the detail of the trigger

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"Trigger","description":"List all trigger endpoint"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"Trigger":{"type":"object","required":["id","name","conditions","rules","actions","createdAt","changedAt","active"],"properties":{"id":{"type":"string","format":"","description":"ID of the the trigger","readOnly":true},"name":{"type":"string","format":"","description":"The name of the trigger"},"description":{"type":"string","format":"","description":"The description of the trigger"},"conditions":{"type":"array","items":{"$ref":"#/components/schemas/TriggerCondition"},"description":"The condition were the rule will be over"},"rules":{"type":"array","items":{"$ref":"#/components/schemas/TriggerRule"},"description":"The rules that will fire the event"},"actions":{"type":"array","items":{"$ref":"#/components/schemas/TriggerAction"},"description":"The action that will be fired based on the condition and the rule"},"createdAt":{"type":"integer","format":"integer","description":"The unix timestamp when the trigger has been created.","readOnly":true},"changedAt":{"type":"integer","format":"integer","description":"The unix timestamp when the trigger has been changed.","readOnly":true},"active":{"type":"integer","format":"integer","description":"Status of the trigger\n* 1 the trigger is enabled\n* 0 the trigger is disabled","readOnly":true}},"additionalProperties":false},"TriggerCondition":{"type":"object","required":["conditionId","conditionValues"],"properties":{"conditionId":{"type":"integer","format":"integer","description":"ID of the rule to be used, you can find the list on this endpoint [GET /v3/trigger/type/conditions](all#/Trigger/getTriggerTypeConditions)"},"conditionValues":{"type":"array","items":{"type":"string","format":""},"description":"ID of the object that belongs to the condition id chosen, use 0 for using all"}},"additionalProperties":false},"TriggerRule":{"type":"object","required":["ruleAction","ruleDataType","rule"],"properties":{"ruleAction":{"type":"integer","format":"integer","description":"The rule action you what to use, you can find the of on this endpoint [GET /v3/trigger/type/ruleActions](all#/Trigger/getTriggerTypeRuleActions)"},"ruleDataType":{"type":"integer","format":"integer","description":"The rule data type, on which type of data the rule should apply, you can find the of on this endpoint [GET /v3/trigger/type/ruleDataTypes](all#/Trigger/getTriggerTypeRuleDataTypes)"},"rule":{"anyOf":[{"$ref":"#/components/schemas/MemoryTriggerRule"},{"$ref":"#/components/schemas/CPUTriggerRule"},{"$ref":"#/components/schemas/TimeTriggerRule"}],"description":"The rule that you want to trigger the event on"}},"additionalProperties":false},"MemoryTriggerRule":{"type":"object","required":["operator","triggerWindow","threshold"],"properties":{"operator":{"type":"integer","format":"integer","description":"The operator used for this rule, you can find the list on this endpoint [GET /v3/trigger/type/operators](all#/Trigger/getTriggerTypeOperators)"},"triggerWindow":{"type":"integer","format":"integer","description":"The time window for a rule, time will be in seconds"},"threshold":{"type":"integer","format":"integer","description":"The amount of memory were the event should be triggered on in MB"}},"additionalProperties":false},"CPUTriggerRule":{"type":"object","required":["operator","triggerWindow","threshold"],"properties":{"operator":{"type":"integer","format":"integer","description":"The operator used for this rule, you can find the list on this endpoint [GET /v3/trigger/type/operators](all#/Trigger/getTriggerTypeOperators)"},"triggerWindow":{"type":"integer","format":"integer","description":"The time window for a rule, time will be in seconds"},"threshold":{"type":"integer","format":"integer","description":"The percentage of cpu (between 0 and 100%) usage were the event should be triggered on"}},"additionalProperties":false},"TimeTriggerRule":{"type":"object","required":["operator","threshold"],"properties":{"operator":{"type":"integer","format":"integer","description":"The operator used for this rule, you can find the list on this endpoint [GET\n/v3/trigger/type/operators](all#/Trigger/getTriggerTypeOperators)"},"threshold":{"type":"integer","format":"integer","description":"The absolute amount of time the event should be triggered on in seconds"}},"additionalProperties":false},"TriggerAction":{"type":"object","required":["action"],"properties":{"action":{"type":"integer","format":"integer","description":"The action used for this trigger, you can find the list on this endpoint [GET /v3/trigger/type/actions](all#/Trigger/getTriggerTypeActions)"},"actionParameters":{"allOf":[{"$ref":"#/components/schemas/ApplicationInstanceStopMethod"}],"description":"The action parameters that are used to fire the trigger"}},"additionalProperties":false},"ApplicationInstanceStopMethod":{"type":"object","properties":{"methodId":{"type":"integer","format":"integer","description":"Stop method type, list of types can be found in: [GET /v3/application/stopMethod](game-publisher#/Application/getApplicationStopMethods)"},"timeout":{"type":"integer","format":"integer","description":"Stop method timeout in seconds, default value is 1800 seconds."}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/trigger/{triggerId}":{"get":{"tags":["Trigger"],"summary":"Get the detail of the trigger","operationId":"getTriggerById","parameters":[{"name":"triggerId","in":"path","description":"The ID of the trigger for which to fetch the information","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Trigger"}}}}},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid ID"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## PUT /v3/trigger/{triggerId}

> Update the details of a trigger

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"Trigger","description":"List all trigger endpoint"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"Trigger":{"type":"object","required":["id","name","conditions","rules","actions","createdAt","changedAt","active"],"properties":{"id":{"type":"string","format":"","description":"ID of the the trigger","readOnly":true},"name":{"type":"string","format":"","description":"The name of the trigger"},"description":{"type":"string","format":"","description":"The description of the trigger"},"conditions":{"type":"array","items":{"$ref":"#/components/schemas/TriggerCondition"},"description":"The condition were the rule will be over"},"rules":{"type":"array","items":{"$ref":"#/components/schemas/TriggerRule"},"description":"The rules that will fire the event"},"actions":{"type":"array","items":{"$ref":"#/components/schemas/TriggerAction"},"description":"The action that will be fired based on the condition and the rule"},"createdAt":{"type":"integer","format":"integer","description":"The unix timestamp when the trigger has been created.","readOnly":true},"changedAt":{"type":"integer","format":"integer","description":"The unix timestamp when the trigger has been changed.","readOnly":true},"active":{"type":"integer","format":"integer","description":"Status of the trigger\n* 1 the trigger is enabled\n* 0 the trigger is disabled","readOnly":true}},"additionalProperties":false},"TriggerCondition":{"type":"object","required":["conditionId","conditionValues"],"properties":{"conditionId":{"type":"integer","format":"integer","description":"ID of the rule to be used, you can find the list on this endpoint [GET /v3/trigger/type/conditions](all#/Trigger/getTriggerTypeConditions)"},"conditionValues":{"type":"array","items":{"type":"string","format":""},"description":"ID of the object that belongs to the condition id chosen, use 0 for using all"}},"additionalProperties":false},"TriggerRule":{"type":"object","required":["ruleAction","ruleDataType","rule"],"properties":{"ruleAction":{"type":"integer","format":"integer","description":"The rule action you what to use, you can find the of on this endpoint [GET /v3/trigger/type/ruleActions](all#/Trigger/getTriggerTypeRuleActions)"},"ruleDataType":{"type":"integer","format":"integer","description":"The rule data type, on which type of data the rule should apply, you can find the of on this endpoint [GET /v3/trigger/type/ruleDataTypes](all#/Trigger/getTriggerTypeRuleDataTypes)"},"rule":{"anyOf":[{"$ref":"#/components/schemas/MemoryTriggerRule"},{"$ref":"#/components/schemas/CPUTriggerRule"},{"$ref":"#/components/schemas/TimeTriggerRule"}],"description":"The rule that you want to trigger the event on"}},"additionalProperties":false},"MemoryTriggerRule":{"type":"object","required":["operator","triggerWindow","threshold"],"properties":{"operator":{"type":"integer","format":"integer","description":"The operator used for this rule, you can find the list on this endpoint [GET /v3/trigger/type/operators](all#/Trigger/getTriggerTypeOperators)"},"triggerWindow":{"type":"integer","format":"integer","description":"The time window for a rule, time will be in seconds"},"threshold":{"type":"integer","format":"integer","description":"The amount of memory were the event should be triggered on in MB"}},"additionalProperties":false},"CPUTriggerRule":{"type":"object","required":["operator","triggerWindow","threshold"],"properties":{"operator":{"type":"integer","format":"integer","description":"The operator used for this rule, you can find the list on this endpoint [GET /v3/trigger/type/operators](all#/Trigger/getTriggerTypeOperators)"},"triggerWindow":{"type":"integer","format":"integer","description":"The time window for a rule, time will be in seconds"},"threshold":{"type":"integer","format":"integer","description":"The percentage of cpu (between 0 and 100%) usage were the event should be triggered on"}},"additionalProperties":false},"TimeTriggerRule":{"type":"object","required":["operator","threshold"],"properties":{"operator":{"type":"integer","format":"integer","description":"The operator used for this rule, you can find the list on this endpoint [GET\n/v3/trigger/type/operators](all#/Trigger/getTriggerTypeOperators)"},"threshold":{"type":"integer","format":"integer","description":"The absolute amount of time the event should be triggered on in seconds"}},"additionalProperties":false},"TriggerAction":{"type":"object","required":["action"],"properties":{"action":{"type":"integer","format":"integer","description":"The action used for this trigger, you can find the list on this endpoint [GET /v3/trigger/type/actions](all#/Trigger/getTriggerTypeActions)"},"actionParameters":{"allOf":[{"$ref":"#/components/schemas/ApplicationInstanceStopMethod"}],"description":"The action parameters that are used to fire the trigger"}},"additionalProperties":false},"ApplicationInstanceStopMethod":{"type":"object","properties":{"methodId":{"type":"integer","format":"integer","description":"Stop method type, list of types can be found in: [GET /v3/application/stopMethod](game-publisher#/Application/getApplicationStopMethods)"},"timeout":{"type":"integer","format":"integer","description":"Stop method timeout in seconds, default value is 1800 seconds."}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/trigger/{triggerId}":{"put":{"tags":["Trigger"],"summary":"Update the details of a trigger","operationId":"updateTrigger","parameters":[{"name":"triggerId","in":"path","description":"The ID of the trigger","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Trigger"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Trigger"}}}}},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid ID"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## DELETE /v3/trigger/{triggerId}

> Delete a trigger

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"Trigger","description":"List all trigger endpoint"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/trigger/{triggerId}":{"delete":{"tags":["Trigger"],"summary":"Delete a trigger","operationId":"removeTrigger","parameters":[{"name":"triggerId","in":"path","description":"The ID of the trigger","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"No Content"},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid ID"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/trigger/

> Get the list of all the triggers

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"Trigger","description":"List all trigger endpoint"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"Trigger":{"type":"object","required":["id","name","conditions","rules","actions","createdAt","changedAt","active"],"properties":{"id":{"type":"string","format":"","description":"ID of the the trigger","readOnly":true},"name":{"type":"string","format":"","description":"The name of the trigger"},"description":{"type":"string","format":"","description":"The description of the trigger"},"conditions":{"type":"array","items":{"$ref":"#/components/schemas/TriggerCondition"},"description":"The condition were the rule will be over"},"rules":{"type":"array","items":{"$ref":"#/components/schemas/TriggerRule"},"description":"The rules that will fire the event"},"actions":{"type":"array","items":{"$ref":"#/components/schemas/TriggerAction"},"description":"The action that will be fired based on the condition and the rule"},"createdAt":{"type":"integer","format":"integer","description":"The unix timestamp when the trigger has been created.","readOnly":true},"changedAt":{"type":"integer","format":"integer","description":"The unix timestamp when the trigger has been changed.","readOnly":true},"active":{"type":"integer","format":"integer","description":"Status of the trigger\n* 1 the trigger is enabled\n* 0 the trigger is disabled","readOnly":true}},"additionalProperties":false},"TriggerCondition":{"type":"object","required":["conditionId","conditionValues"],"properties":{"conditionId":{"type":"integer","format":"integer","description":"ID of the rule to be used, you can find the list on this endpoint [GET /v3/trigger/type/conditions](all#/Trigger/getTriggerTypeConditions)"},"conditionValues":{"type":"array","items":{"type":"string","format":""},"description":"ID of the object that belongs to the condition id chosen, use 0 for using all"}},"additionalProperties":false},"TriggerRule":{"type":"object","required":["ruleAction","ruleDataType","rule"],"properties":{"ruleAction":{"type":"integer","format":"integer","description":"The rule action you what to use, you can find the of on this endpoint [GET /v3/trigger/type/ruleActions](all#/Trigger/getTriggerTypeRuleActions)"},"ruleDataType":{"type":"integer","format":"integer","description":"The rule data type, on which type of data the rule should apply, you can find the of on this endpoint [GET /v3/trigger/type/ruleDataTypes](all#/Trigger/getTriggerTypeRuleDataTypes)"},"rule":{"anyOf":[{"$ref":"#/components/schemas/MemoryTriggerRule"},{"$ref":"#/components/schemas/CPUTriggerRule"},{"$ref":"#/components/schemas/TimeTriggerRule"}],"description":"The rule that you want to trigger the event on"}},"additionalProperties":false},"MemoryTriggerRule":{"type":"object","required":["operator","triggerWindow","threshold"],"properties":{"operator":{"type":"integer","format":"integer","description":"The operator used for this rule, you can find the list on this endpoint [GET /v3/trigger/type/operators](all#/Trigger/getTriggerTypeOperators)"},"triggerWindow":{"type":"integer","format":"integer","description":"The time window for a rule, time will be in seconds"},"threshold":{"type":"integer","format":"integer","description":"The amount of memory were the event should be triggered on in MB"}},"additionalProperties":false},"CPUTriggerRule":{"type":"object","required":["operator","triggerWindow","threshold"],"properties":{"operator":{"type":"integer","format":"integer","description":"The operator used for this rule, you can find the list on this endpoint [GET /v3/trigger/type/operators](all#/Trigger/getTriggerTypeOperators)"},"triggerWindow":{"type":"integer","format":"integer","description":"The time window for a rule, time will be in seconds"},"threshold":{"type":"integer","format":"integer","description":"The percentage of cpu (between 0 and 100%) usage were the event should be triggered on"}},"additionalProperties":false},"TimeTriggerRule":{"type":"object","required":["operator","threshold"],"properties":{"operator":{"type":"integer","format":"integer","description":"The operator used for this rule, you can find the list on this endpoint [GET\n/v3/trigger/type/operators](all#/Trigger/getTriggerTypeOperators)"},"threshold":{"type":"integer","format":"integer","description":"The absolute amount of time the event should be triggered on in seconds"}},"additionalProperties":false},"TriggerAction":{"type":"object","required":["action"],"properties":{"action":{"type":"integer","format":"integer","description":"The action used for this trigger, you can find the list on this endpoint [GET /v3/trigger/type/actions](all#/Trigger/getTriggerTypeActions)"},"actionParameters":{"allOf":[{"$ref":"#/components/schemas/ApplicationInstanceStopMethod"}],"description":"The action parameters that are used to fire the trigger"}},"additionalProperties":false},"ApplicationInstanceStopMethod":{"type":"object","properties":{"methodId":{"type":"integer","format":"integer","description":"Stop method type, list of types can be found in: [GET /v3/application/stopMethod](game-publisher#/Application/getApplicationStopMethods)"},"timeout":{"type":"integer","format":"integer","description":"Stop method timeout in seconds, default value is 1800 seconds."}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/trigger/":{"get":{"tags":["Trigger"],"summary":"Get the list of all the triggers","operationId":"getTriggerList","parameters":[{"name":"RANGED-DATA","in":"header","description":"Example header and default range: RANGED-DATA:start=0,results=25","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Trigger"}}}}},"403":{"description":"Invalid credentials"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/trigger/summary

> Get the summary of all the triggers, only id, name and description

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"Trigger","description":"List all trigger endpoint"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"TriggerSummary":{"type":"object","required":["id","name"],"properties":{"id":{"type":"integer","format":"integer","description":"ID of the type","readOnly":true},"name":{"type":"string","format":"","description":"The name of the trigger"},"description":{"type":"string","format":"","description":"The description of the trigger"}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/trigger/summary":{"get":{"tags":["Trigger"],"summary":"Get the summary of all the triggers, only id, name and description","operationId":"getTriggerSummary","parameters":[{"name":"RANGED-DATA","in":"header","description":"Example header and default range: RANGED-DATA:start=0,results=25","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/TriggerSummary"}}}}},"403":{"description":"Invalid credentials"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## POST /v3/trigger

> Create a trigger

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"Trigger","description":"List all trigger endpoint"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"Trigger":{"type":"object","required":["id","name","conditions","rules","actions","createdAt","changedAt","active"],"properties":{"id":{"type":"string","format":"","description":"ID of the the trigger","readOnly":true},"name":{"type":"string","format":"","description":"The name of the trigger"},"description":{"type":"string","format":"","description":"The description of the trigger"},"conditions":{"type":"array","items":{"$ref":"#/components/schemas/TriggerCondition"},"description":"The condition were the rule will be over"},"rules":{"type":"array","items":{"$ref":"#/components/schemas/TriggerRule"},"description":"The rules that will fire the event"},"actions":{"type":"array","items":{"$ref":"#/components/schemas/TriggerAction"},"description":"The action that will be fired based on the condition and the rule"},"createdAt":{"type":"integer","format":"integer","description":"The unix timestamp when the trigger has been created.","readOnly":true},"changedAt":{"type":"integer","format":"integer","description":"The unix timestamp when the trigger has been changed.","readOnly":true},"active":{"type":"integer","format":"integer","description":"Status of the trigger\n* 1 the trigger is enabled\n* 0 the trigger is disabled","readOnly":true}},"additionalProperties":false},"TriggerCondition":{"type":"object","required":["conditionId","conditionValues"],"properties":{"conditionId":{"type":"integer","format":"integer","description":"ID of the rule to be used, you can find the list on this endpoint [GET /v3/trigger/type/conditions](all#/Trigger/getTriggerTypeConditions)"},"conditionValues":{"type":"array","items":{"type":"string","format":""},"description":"ID of the object that belongs to the condition id chosen, use 0 for using all"}},"additionalProperties":false},"TriggerRule":{"type":"object","required":["ruleAction","ruleDataType","rule"],"properties":{"ruleAction":{"type":"integer","format":"integer","description":"The rule action you what to use, you can find the of on this endpoint [GET /v3/trigger/type/ruleActions](all#/Trigger/getTriggerTypeRuleActions)"},"ruleDataType":{"type":"integer","format":"integer","description":"The rule data type, on which type of data the rule should apply, you can find the of on this endpoint [GET /v3/trigger/type/ruleDataTypes](all#/Trigger/getTriggerTypeRuleDataTypes)"},"rule":{"anyOf":[{"$ref":"#/components/schemas/MemoryTriggerRule"},{"$ref":"#/components/schemas/CPUTriggerRule"},{"$ref":"#/components/schemas/TimeTriggerRule"}],"description":"The rule that you want to trigger the event on"}},"additionalProperties":false},"MemoryTriggerRule":{"type":"object","required":["operator","triggerWindow","threshold"],"properties":{"operator":{"type":"integer","format":"integer","description":"The operator used for this rule, you can find the list on this endpoint [GET /v3/trigger/type/operators](all#/Trigger/getTriggerTypeOperators)"},"triggerWindow":{"type":"integer","format":"integer","description":"The time window for a rule, time will be in seconds"},"threshold":{"type":"integer","format":"integer","description":"The amount of memory were the event should be triggered on in MB"}},"additionalProperties":false},"CPUTriggerRule":{"type":"object","required":["operator","triggerWindow","threshold"],"properties":{"operator":{"type":"integer","format":"integer","description":"The operator used for this rule, you can find the list on this endpoint [GET /v3/trigger/type/operators](all#/Trigger/getTriggerTypeOperators)"},"triggerWindow":{"type":"integer","format":"integer","description":"The time window for a rule, time will be in seconds"},"threshold":{"type":"integer","format":"integer","description":"The percentage of cpu (between 0 and 100%) usage were the event should be triggered on"}},"additionalProperties":false},"TimeTriggerRule":{"type":"object","required":["operator","threshold"],"properties":{"operator":{"type":"integer","format":"integer","description":"The operator used for this rule, you can find the list on this endpoint [GET\n/v3/trigger/type/operators](all#/Trigger/getTriggerTypeOperators)"},"threshold":{"type":"integer","format":"integer","description":"The absolute amount of time the event should be triggered on in seconds"}},"additionalProperties":false},"TriggerAction":{"type":"object","required":["action"],"properties":{"action":{"type":"integer","format":"integer","description":"The action used for this trigger, you can find the list on this endpoint [GET /v3/trigger/type/actions](all#/Trigger/getTriggerTypeActions)"},"actionParameters":{"allOf":[{"$ref":"#/components/schemas/ApplicationInstanceStopMethod"}],"description":"The action parameters that are used to fire the trigger"}},"additionalProperties":false},"ApplicationInstanceStopMethod":{"type":"object","properties":{"methodId":{"type":"integer","format":"integer","description":"Stop method type, list of types can be found in: [GET /v3/application/stopMethod](game-publisher#/Application/getApplicationStopMethods)"},"timeout":{"type":"integer","format":"integer","description":"Stop method timeout in seconds, default value is 1800 seconds."}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/trigger":{"post":{"tags":["Trigger"],"summary":"Create a trigger","operationId":"createTrigger","requestBody":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Trigger"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Trigger"}}}}},"403":{"description":"Invalid credentials"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## PUT /v3/trigger/{triggerId}/enable

> Enable a trigger

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"Trigger","description":"List all trigger endpoint"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"Trigger":{"type":"object","required":["id","name","conditions","rules","actions","createdAt","changedAt","active"],"properties":{"id":{"type":"string","format":"","description":"ID of the the trigger","readOnly":true},"name":{"type":"string","format":"","description":"The name of the trigger"},"description":{"type":"string","format":"","description":"The description of the trigger"},"conditions":{"type":"array","items":{"$ref":"#/components/schemas/TriggerCondition"},"description":"The condition were the rule will be over"},"rules":{"type":"array","items":{"$ref":"#/components/schemas/TriggerRule"},"description":"The rules that will fire the event"},"actions":{"type":"array","items":{"$ref":"#/components/schemas/TriggerAction"},"description":"The action that will be fired based on the condition and the rule"},"createdAt":{"type":"integer","format":"integer","description":"The unix timestamp when the trigger has been created.","readOnly":true},"changedAt":{"type":"integer","format":"integer","description":"The unix timestamp when the trigger has been changed.","readOnly":true},"active":{"type":"integer","format":"integer","description":"Status of the trigger\n* 1 the trigger is enabled\n* 0 the trigger is disabled","readOnly":true}},"additionalProperties":false},"TriggerCondition":{"type":"object","required":["conditionId","conditionValues"],"properties":{"conditionId":{"type":"integer","format":"integer","description":"ID of the rule to be used, you can find the list on this endpoint [GET /v3/trigger/type/conditions](all#/Trigger/getTriggerTypeConditions)"},"conditionValues":{"type":"array","items":{"type":"string","format":""},"description":"ID of the object that belongs to the condition id chosen, use 0 for using all"}},"additionalProperties":false},"TriggerRule":{"type":"object","required":["ruleAction","ruleDataType","rule"],"properties":{"ruleAction":{"type":"integer","format":"integer","description":"The rule action you what to use, you can find the of on this endpoint [GET /v3/trigger/type/ruleActions](all#/Trigger/getTriggerTypeRuleActions)"},"ruleDataType":{"type":"integer","format":"integer","description":"The rule data type, on which type of data the rule should apply, you can find the of on this endpoint [GET /v3/trigger/type/ruleDataTypes](all#/Trigger/getTriggerTypeRuleDataTypes)"},"rule":{"anyOf":[{"$ref":"#/components/schemas/MemoryTriggerRule"},{"$ref":"#/components/schemas/CPUTriggerRule"},{"$ref":"#/components/schemas/TimeTriggerRule"}],"description":"The rule that you want to trigger the event on"}},"additionalProperties":false},"MemoryTriggerRule":{"type":"object","required":["operator","triggerWindow","threshold"],"properties":{"operator":{"type":"integer","format":"integer","description":"The operator used for this rule, you can find the list on this endpoint [GET /v3/trigger/type/operators](all#/Trigger/getTriggerTypeOperators)"},"triggerWindow":{"type":"integer","format":"integer","description":"The time window for a rule, time will be in seconds"},"threshold":{"type":"integer","format":"integer","description":"The amount of memory were the event should be triggered on in MB"}},"additionalProperties":false},"CPUTriggerRule":{"type":"object","required":["operator","triggerWindow","threshold"],"properties":{"operator":{"type":"integer","format":"integer","description":"The operator used for this rule, you can find the list on this endpoint [GET /v3/trigger/type/operators](all#/Trigger/getTriggerTypeOperators)"},"triggerWindow":{"type":"integer","format":"integer","description":"The time window for a rule, time will be in seconds"},"threshold":{"type":"integer","format":"integer","description":"The percentage of cpu (between 0 and 100%) usage were the event should be triggered on"}},"additionalProperties":false},"TimeTriggerRule":{"type":"object","required":["operator","threshold"],"properties":{"operator":{"type":"integer","format":"integer","description":"The operator used for this rule, you can find the list on this endpoint [GET\n/v3/trigger/type/operators](all#/Trigger/getTriggerTypeOperators)"},"threshold":{"type":"integer","format":"integer","description":"The absolute amount of time the event should be triggered on in seconds"}},"additionalProperties":false},"TriggerAction":{"type":"object","required":["action"],"properties":{"action":{"type":"integer","format":"integer","description":"The action used for this trigger, you can find the list on this endpoint [GET /v3/trigger/type/actions](all#/Trigger/getTriggerTypeActions)"},"actionParameters":{"allOf":[{"$ref":"#/components/schemas/ApplicationInstanceStopMethod"}],"description":"The action parameters that are used to fire the trigger"}},"additionalProperties":false},"ApplicationInstanceStopMethod":{"type":"object","properties":{"methodId":{"type":"integer","format":"integer","description":"Stop method type, list of types can be found in: [GET /v3/application/stopMethod](game-publisher#/Application/getApplicationStopMethods)"},"timeout":{"type":"integer","format":"integer","description":"Stop method timeout in seconds, default value is 1800 seconds."}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/trigger/{triggerId}/enable":{"put":{"tags":["Trigger"],"summary":"Enable a trigger","operationId":"enableTrigger","parameters":[{"name":"triggerId","in":"path","description":"The ID of the trigger","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Trigger"}}}}},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid ID"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## PUT /v3/trigger/{triggerId}/disable

> Disable a trigger

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"Trigger","description":"List all trigger endpoint"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"Trigger":{"type":"object","required":["id","name","conditions","rules","actions","createdAt","changedAt","active"],"properties":{"id":{"type":"string","format":"","description":"ID of the the trigger","readOnly":true},"name":{"type":"string","format":"","description":"The name of the trigger"},"description":{"type":"string","format":"","description":"The description of the trigger"},"conditions":{"type":"array","items":{"$ref":"#/components/schemas/TriggerCondition"},"description":"The condition were the rule will be over"},"rules":{"type":"array","items":{"$ref":"#/components/schemas/TriggerRule"},"description":"The rules that will fire the event"},"actions":{"type":"array","items":{"$ref":"#/components/schemas/TriggerAction"},"description":"The action that will be fired based on the condition and the rule"},"createdAt":{"type":"integer","format":"integer","description":"The unix timestamp when the trigger has been created.","readOnly":true},"changedAt":{"type":"integer","format":"integer","description":"The unix timestamp when the trigger has been changed.","readOnly":true},"active":{"type":"integer","format":"integer","description":"Status of the trigger\n* 1 the trigger is enabled\n* 0 the trigger is disabled","readOnly":true}},"additionalProperties":false},"TriggerCondition":{"type":"object","required":["conditionId","conditionValues"],"properties":{"conditionId":{"type":"integer","format":"integer","description":"ID of the rule to be used, you can find the list on this endpoint [GET /v3/trigger/type/conditions](all#/Trigger/getTriggerTypeConditions)"},"conditionValues":{"type":"array","items":{"type":"string","format":""},"description":"ID of the object that belongs to the condition id chosen, use 0 for using all"}},"additionalProperties":false},"TriggerRule":{"type":"object","required":["ruleAction","ruleDataType","rule"],"properties":{"ruleAction":{"type":"integer","format":"integer","description":"The rule action you what to use, you can find the of on this endpoint [GET /v3/trigger/type/ruleActions](all#/Trigger/getTriggerTypeRuleActions)"},"ruleDataType":{"type":"integer","format":"integer","description":"The rule data type, on which type of data the rule should apply, you can find the of on this endpoint [GET /v3/trigger/type/ruleDataTypes](all#/Trigger/getTriggerTypeRuleDataTypes)"},"rule":{"anyOf":[{"$ref":"#/components/schemas/MemoryTriggerRule"},{"$ref":"#/components/schemas/CPUTriggerRule"},{"$ref":"#/components/schemas/TimeTriggerRule"}],"description":"The rule that you want to trigger the event on"}},"additionalProperties":false},"MemoryTriggerRule":{"type":"object","required":["operator","triggerWindow","threshold"],"properties":{"operator":{"type":"integer","format":"integer","description":"The operator used for this rule, you can find the list on this endpoint [GET /v3/trigger/type/operators](all#/Trigger/getTriggerTypeOperators)"},"triggerWindow":{"type":"integer","format":"integer","description":"The time window for a rule, time will be in seconds"},"threshold":{"type":"integer","format":"integer","description":"The amount of memory were the event should be triggered on in MB"}},"additionalProperties":false},"CPUTriggerRule":{"type":"object","required":["operator","triggerWindow","threshold"],"properties":{"operator":{"type":"integer","format":"integer","description":"The operator used for this rule, you can find the list on this endpoint [GET /v3/trigger/type/operators](all#/Trigger/getTriggerTypeOperators)"},"triggerWindow":{"type":"integer","format":"integer","description":"The time window for a rule, time will be in seconds"},"threshold":{"type":"integer","format":"integer","description":"The percentage of cpu (between 0 and 100%) usage were the event should be triggered on"}},"additionalProperties":false},"TimeTriggerRule":{"type":"object","required":["operator","threshold"],"properties":{"operator":{"type":"integer","format":"integer","description":"The operator used for this rule, you can find the list on this endpoint [GET\n/v3/trigger/type/operators](all#/Trigger/getTriggerTypeOperators)"},"threshold":{"type":"integer","format":"integer","description":"The absolute amount of time the event should be triggered on in seconds"}},"additionalProperties":false},"TriggerAction":{"type":"object","required":["action"],"properties":{"action":{"type":"integer","format":"integer","description":"The action used for this trigger, you can find the list on this endpoint [GET /v3/trigger/type/actions](all#/Trigger/getTriggerTypeActions)"},"actionParameters":{"allOf":[{"$ref":"#/components/schemas/ApplicationInstanceStopMethod"}],"description":"The action parameters that are used to fire the trigger"}},"additionalProperties":false},"ApplicationInstanceStopMethod":{"type":"object","properties":{"methodId":{"type":"integer","format":"integer","description":"Stop method type, list of types can be found in: [GET /v3/application/stopMethod](game-publisher#/Application/getApplicationStopMethods)"},"timeout":{"type":"integer","format":"integer","description":"Stop method timeout in seconds, default value is 1800 seconds."}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/trigger/{triggerId}/disable":{"put":{"tags":["Trigger"],"summary":"Disable a trigger","operationId":"disableTrigger","parameters":[{"name":"triggerId","in":"path","description":"The ID of the trigger","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Trigger"}}}}},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid ID"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/trigger/type/ruleActions

> Get list of rule action types

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"Trigger","description":"List all trigger endpoint"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"TriggerType":{"type":"object","required":["id","description"],"properties":{"id":{"type":"integer","format":"integer","description":"ID of the type","readOnly":true},"description":{"type":"string","format":"","description":"The description of the type","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/trigger/type/ruleActions":{"get":{"tags":["Trigger"],"summary":"Get list of rule action types","operationId":"getTriggerTypeRuleActions","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/TriggerType"}}}}},"403":{"description":"Invalid credentials"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/trigger/type/ruleDataTypes

> Get list of rule data types

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"Trigger","description":"List all trigger endpoint"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"TriggerType":{"type":"object","required":["id","description"],"properties":{"id":{"type":"integer","format":"integer","description":"ID of the type","readOnly":true},"description":{"type":"string","format":"","description":"The description of the type","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/trigger/type/ruleDataTypes":{"get":{"tags":["Trigger"],"summary":"Get list of rule data types","operationId":"getTriggerTypeRuleDataTypes","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/TriggerType"}}}}},"403":{"description":"Invalid credentials"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/trigger/type/actions

> Get list of actions types

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"Trigger","description":"List all trigger endpoint"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"TriggerType":{"type":"object","required":["id","description"],"properties":{"id":{"type":"integer","format":"integer","description":"ID of the type","readOnly":true},"description":{"type":"string","format":"","description":"The description of the type","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/trigger/type/actions":{"get":{"tags":["Trigger"],"summary":"Get list of actions types","operationId":"getTriggerTypeActions","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/TriggerType"}}}}},"403":{"description":"Invalid credentials"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/trigger/type/operators

> Get list of operators

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"Trigger","description":"List all trigger endpoint"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"TriggerType":{"type":"object","required":["id","description"],"properties":{"id":{"type":"integer","format":"integer","description":"ID of the type","readOnly":true},"description":{"type":"string","format":"","description":"The description of the type","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/trigger/type/operators":{"get":{"tags":["Trigger"],"summary":"Get list of operators","operationId":"getTriggerTypeOperators","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/TriggerType"}}}}},"403":{"description":"Invalid credentials"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/trigger/type/conditions

> Get list of conditions

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"Trigger","description":"List all trigger endpoint"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"TriggerType":{"type":"object","required":["id","description"],"properties":{"id":{"type":"integer","format":"integer","description":"ID of the type","readOnly":true},"description":{"type":"string","format":"","description":"The description of the type","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/trigger/type/conditions":{"get":{"tags":["Trigger"],"summary":"Get list of conditions","operationId":"getTriggerTypeConditions","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/TriggerType"}}}}},"403":{"description":"Invalid credentials"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/trigger/type/valueTypes

> Get list of valueTypes

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"Trigger","description":"List all trigger endpoint"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"TriggerType":{"type":"object","required":["id","description"],"properties":{"id":{"type":"integer","format":"integer","description":"ID of the type","readOnly":true},"description":{"type":"string","format":"","description":"The description of the type","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/trigger/type/valueTypes":{"get":{"tags":["Trigger"],"summary":"Get list of valueTypes","operationId":"getTriggerTypeValueTypes","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/TriggerType"}}}}},"403":{"description":"Invalid credentials"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.i3d.net/api-references/general/trigger-1.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
